### org.jfree.layouting.renderer.model.table

# Class TableLayoutInfo

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.TableLayoutInfo`

`public class TableLayoutInfo`
`extends java.lang.Object`

Creation-Date: 09.09.2006, 14:50:21

Author:
  Thomas Morgner

  ## Constructor Summary

  `TableLayoutInfo()`

  ## Method Summary

  `RenderLength`

  `getBorderSpacing()`

  `RenderLength`

  `getRowSpacing()`

  `boolean`

  `isAutoLayout()`

  `boolean`

  `isCollapsingBorderModel()`

  `boolean`

  `isDisplayEmptyCells()`

  `void`

  `setAutoLayout(boolean autoLayout)`

  `void`

  `setBorderSpacing(RenderLength borderSpacing)`

  `void`

  `setCollapsingBorderModel(boolean collapsingBorderModel)`

  `void`

  `setDisplayEmptyCells(boolean displayEmptyCells)`

  `void`

  `setRowSpacing(RenderLength rowSpacing)`

## Constructor Details

### TableLayoutInfo

    public TableLayoutInfo()

## Method Details

### getBorderSpacing

    public RenderLength getBorderSpacing()

### getRowSpacing

    public RenderLength getRowSpacing()

### isAutoLayout

    public boolean isAutoLayout()

### isCollapsingBorderModel

    public boolean isCollapsingBorderModel()

### isDisplayEmptyCells

    public boolean isDisplayEmptyCells()

### setAutoLayout

    public void setAutoLayout(boolean autoLayout)

### setBorderSpacing

    public void setBorderSpacing(RenderLength borderSpacing)

### setCollapsingBorderModel

    public void setCollapsingBorderModel(boolean collapsingBorderModel)

### setDisplayEmptyCells

    public void setDisplayEmptyCells(boolean displayEmptyCells)

### setRowSpacing

    public void setRowSpacing(RenderLength rowSpacing)